# pedlr-main-data

Source data for the pedlr project by Christoph Koch, Ondrej Zika, Rasmus Bruckner, and Nicolas W. Schuck.
This data contains anonymized data of participants solving a decision making task specified in *Koch, C., Zika, O., Bruckner, R., & Schuck, N. W. Influence of surprise on reinforcement learning in younger and older adults. (https://doi.org/10.31234/osf.io/unx5y)*.

The task and all analysis code are included in the associated GitHub repository with analysis code: https://doi.org/10.5281/zenodo.10211239.
Using the analysis code on this source data creates an derivative dataset available at https://doi.org/10.12751/g-node.tsq6sg that includes all results reported in *Koch, C., Zika, O., Bruckner, R., & Schuck, N. W. Influence of surprise on reinforcement learning in younger and older adults. (https://doi.org/10.31234/osf.io/unx5y)*.

For a description of the repositories structure see a commented folder structure below.

## Datalad

This is a datalad repository. For more information on how to use and set up datalad on your machine please see https://www.datalad.org/.

A thorough walkthrough on how to use datalad is given by the [datalad handbook](https://handbook.datalad.org/en/latest/index.html).
See the [installation page in the datalad handbook](https://handbook.datalad.org/en/latest/intro/installation.html#installation-and-configuration) for more information about setup and configuration of datalad.

## Usage

Once you have datalad installed on your machine you can clone the dataset (e.g. via https) using

```
datalad clone https://gin.g-node.org/koch_means_cook/pedlr-main-data.git
```

For in integrated usage with the analysis described in the referenced preprint *(Koch, C., Zika, O., Bruckner, R., & Schuck, N. W. Influence of surprise on reinforcement learning in younger and older adults. https://doi.org/10.31234/osf.io/unx5y)* clone the Github code repository (doi:10.5281/zenodo.10211239), then clone this datalad repository into the code repository and rename the datalad repository folder to `data`.
This will allow the analysis scripts to directly use this dataset.

Large files will not be downloaded automatically.
To get them, you can use 

```
datalad get <filename>
```

Large files that have been downloaded will be 'locked' and therefore read-only.
If you wish to write you will need to unlock them using

```
datalad unlock <filename>
```

For more information on locked/unlocked files see [here](https://handbook.datalad.org/en/latest/basics/101-114-txt2git.html).

## Content

```
├── exclusions.tsv         # List of excluded participants
├── LICENSE                # License file (CC-BY-SA 4.0)
├── README.md              # This file
├── 09RI1ZH_exp_data.tsv   # Example file: tab-separated file of participants behavior
└── (...)
```

## License

This data set is published under a CC-BY-SA 4.0 license.